Package htsjdk.samtools.util

# Class CollectionUtil.MultiMap<K,V>

java.lang.Object
java.util.AbstractMap<K,Collection<V>>
java.util.HashMap<K,Collection<V>>
htsjdk.samtools.util.CollectionUtil.MultiMap<K,V>

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<K,Collection<V>>`

Enclosing class:
  `CollectionUtil`

public static class CollectionUtil.MultiMap<K,V> extends HashMap<K,Collection<V>>
Simple multi-map for convenience of storing collections in map values.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

## Constructor Summary

Constructors
Constructor
Description
`MultiMap()`

## Method Summary

Modifier and Type
Method
Description
`void`
`append(K k, V v)`
`void`
`appendAll(K k, Collection<? extends V> v)`

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, newHashMap, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

## Constructor Details

### MultiMap

public MultiMap()

## Method Details

### append

public void append(K k, V v)

### appendAll

public void appendAll(K k, Collection<? extends V> v)